curl --request POST \
--url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/webauthn/assert/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"challengeId": "<string>",
"response": {
"id": "<string>",
"rawId": "<string>",
"type": "<string>",
"response": {
"clientDataJSON": "<string>",
"authenticatorData": "<string>",
"signature": "<string>"
}
}
}
'{
"verified": true,
"grantId": "<string>",
"fidoEvidence": {
"credentialId": "<string>",
"authenticatorType": "<string>",
"userVerified": true,
"assertedAt": "2023-11-07T05:31:56Z"
}
}Verify the assertion response from navigator.credentials.get(). On success, the associated authorization request is approved with FIDO evidence attached to the grant.
curl --request POST \
--url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/webauthn/assert/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"challengeId": "<string>",
"response": {
"id": "<string>",
"rawId": "<string>",
"type": "<string>",
"response": {
"clientDataJSON": "<string>",
"authenticatorData": "<string>",
"signature": "<string>"
}
}
}
'{
"verified": true,
"grantId": "<string>",
"fidoEvidence": {
"credentialId": "<string>",
"authenticatorType": "<string>",
"userVerified": true,
"assertedAt": "2023-11-07T05:31:56Z"
}
}